commit: 3c2fe1340e974d06035ea24adb78ee578994a4a4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 9 05:47:36 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 9 05:58:28 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c2fe134
dev-libs/librelp: add 1.11.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/librelp/Manifest | 1 +
dev-libs/librelp/librelp-1.11.0.ebuild | 72 ++++++++++++++++++++++++++++++++++
2 files changed, 73 insertions(+)
diff --git a/dev-libs/librelp/Manifest b/dev-libs/librelp/Manifest
index a28b17eef20e..7e43e656f67d 100644
--- a/dev-libs/librelp/Manifest
+++ b/dev-libs/librelp/Manifest
@@ -1 +1,2 @@
DIST librelp-1.10.0.tar.gz 543414 BLAKE2B
3c7bace3c7892755c943dc4fc9bee7962e6891f5200ac184555da5f552d19d65f5604c745653d06a87210152af9b57f7234636e59257dd29dc83b5dc566c9680
SHA512
a38840231902bec034edb497166deded7577c989e4f735e406c8488384972925de1ca6132b3080472f7919d2439559c8774c02a49c356e90ad791dfbba2a4865
+DIST librelp-1.11.0.tar.gz 546841 BLAKE2B
3645675f7300cca72847973e2414c7ead560f4dcf6d3eb92ae53ce2b279d6a19b792f6fa6b4e9f837710681f0a224c4a85f90091dd45d46aae5ef16180f4a1ee
SHA512
e93cbc12fb6e596762c351cdfa3293fea89dd8cf90de4f890771216b56c3f66e3578fefea447d4ca9f754f146712481e7bab9a831f16fcf0cd15b10d475925bc
diff --git a/dev-libs/librelp/librelp-1.11.0.ebuild
b/dev-libs/librelp/librelp-1.11.0.ebuild
new file mode 100644
index 000000000000..81815f17a365
--- /dev/null
+++ b/dev-libs/librelp/librelp-1.11.0.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit autotools python-any-r1
+
+DESCRIPTION="An easy to use library for the RELP protocol"
+HOMEPAGE="https://www.rsyslog.com/librelp/"
+SRC_URI="https://download.rsyslog.com/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+ doc? ( FDL-1.3 )"
+# subslot = soname version
+SLOT="0/0.5.1"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~riscv ~sparc ~x86"
+IUSE="debug doc +ssl +gnutls openssl static-libs test"
+REQUIRED_USE="ssl? ( ^^ ( gnutls openssl ) )"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ssl? (
+ gnutls? ( >=net-libs/gnutls-3.3.17.1:= )
+ openssl? ( dev-libs/openssl:= )
+ )
+"
+DEPEND="
+ ${RDEPEND}
+ test? ( ${PYTHON_DEPS} )
+"
+BDEPEND="virtual/pkgconfig"
+
+pkg_setup() {
+ use test && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ sed -i \
+ -e 's/ -g"/"/g' \
+ configure.ac || die "sed failed"
+
+ default
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-valgrind
+ --disable-Werror
+ $(use_enable debug)
+ $(use_enable gnutls tls)
+ $(use_enable openssl tls-openssl)
+ $(use_enable static-libs static)
+ )
+
+ CONFIG_SHELL="${BROOT}"/bin/bash econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ emake -j1 check
+}
+
+src_install() {
+ local DOCS=( ChangeLog )
+ use doc && local HTML_DOCS=( doc/relp.html )
+ default
+
+ if ! use static-libs; then
+ find "${D}" -name '*.la' -delete || die
+ fi
+}